Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231814 - Review Request: avarice - Program for interfacing the Atmel JTAG ICE to GDB
Summary: Review Request: avarice - Program for interfacing the Atmel JTAG ICE to GDB
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 10:15 UTC by Trond Danielsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-09 20:45:30 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Trond Danielsen 2007-03-12 10:15:31 UTC
Spec URL: ftp://open-gnss.org/pub/fedora/avarice/avarice.spec
SRPM URL: ftp://open-gnss.org/pub/fedora/avarice/avarice-2.6-1.fc6.src.rpm
Description: Program for interfacing the Atmel JTAG ICE to GDB to allow users to 
debug their embedded AVR target.

Package built in mock without errors. No warnings or errors from rpmlint.

Comment 1 Jason Tibbitts 2007-06-28 00:41:00 UTC
I have absolutely no idea what an Atmel JTAG ICE is, so there's no chance that I
could test in any way, but I figure I can at least look over the packaging.

You might consider using http://avarice.sourceforge.net/ for the URL as it's a
bit more descriptive than the sourceforge project page, but it's also a bit out
of date (saying that 2.3 is the current version).

Your %description is missing a period.

Those are terribly minor, though; I see nothing which would block this package.

Review:
* source files match upstream:
   c916cc130755c38cebf2d09b84fce6530e78c8bf28acab87afedbc77ac464a5a  
   avarice-2.6.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK (outside of the missing period)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   avarice = 2.6-1.fc8
  =
   /bin/sh
   /usr/bin/perl
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
* %check is not present; no test suite upstream and I haven't the hardware to 
   test this manually.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 2 Trond Danielsen 2007-07-02 20:57:04 UTC
Thanks for the review! I am very busy this week, but will finish the package
during the weekend.

Comment 3 Trond Danielsen 2007-07-16 22:42:17 UTC
New Package CVS Request
=======================
Package Name: avarice
Short Description: Program for interfacing the Atmel JTAG ICE to GDB to allow
users to debug their embedded AVR target.
Owners: trond.danielsen@gmail.com
Branches: FC-6,FC-7
InitialCC: 

Comment 4 Hans de Goede 2007-08-20 08:09:30 UTC
Woops looks like you forgot to set the cvs flag, setting.


Comment 5 Warren Togami 2007-08-20 14:12:45 UTC
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Please follow the updated request template, where we need your FAS name instead
of e-mail.


Comment 6 Trond Danielsen 2007-08-22 14:03:32 UTC
New Package CVS Request
=======================
Package Name: avarice
Short Description: Program for interfacing the Atmel JTAG ICE to GDB to allow
users to debug their embedded AVR target.
Owners: trondd
Branches: FC6, F-7, EL-5
InitialCC: 
Commits by cvsextras: yes

Comment 7 Kevin Fenzi 2007-08-26 21:49:56 UTC
cvs done.

Comment 8 Jason Tibbitts 2007-10-08 16:29:12 UTC
Is anything going to happen with this package?  As far as I can tell, neither it
nor uisp have ever even been built.

Please give me an update; otherwise I'll go ahead and have this package removed
from the CVS repository and package database.

Comment 9 Trond Danielsen 2007-10-09 20:44:02 UTC
I am truly sorry for the delay. Things have just been to busy lately, so these
two fell to the back of my run-queue. But I imported and built both packages
yesterday, so they should be on their way to the repos asap.


Note You need to log in before you can comment on or make changes to this bug.